Debian Bug report logs - #506419
high volumes of traffic kill forcedeth chip

version graph

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: martin f krafft <madduck@madduck.net>

Date: Fri, 21 Nov 2008 10:12:07 UTC

Owned by: Jonathan Nieder <jrnieder@gmail.com>

Severity: important

Tags: moreinfo, upstream

Found in versions linux-2.6/2.6.27, linux-2.6/2.6.26-10, linux-2.6/2.6.26-11

Done: Ben Hutchings <ben@decadent.org.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#506419; Package linux-image-2.6.26-1-amd64. (Fri, 21 Nov 2008 10:12:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to martin f krafft <madduck@madduck.net>:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 21 Nov 2008 10:12:15 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: martin f krafft <madduck@madduck.net>
To: submit@bugs.debian.org
Subject: kernel trace during IPv6 ssh output
Date: Fri, 21 Nov 2008 11:06:57 +0100
[Message part 1 (text/plain, inline)]
Package: linux-image-2.6.26-1-amd64
Version: 2.6.26-10
Severity: important
Tags: ipv6

This is a lenny system. Important because IPv6 is a release goal.

When I run dmesg through a (native) IPv6 SSH connection on a new
server, the kernel spews plenty traces to the console. The first
trace says the kernel is not tainted, in subsequent traces, the
taint is claimed to be GW(512). Note below how it is tainted at
10:25:50 (second trace), but not at 10:25:49 (first trace).

The same problem arises during *outgoing* scp and renders all other
SSH sessions basically unusable for the duration of the transfer.
I can reproduce this with an *outgoing* HTTP session too.

I cannot reproduce the problem with an IPv4 connection.
I cannot reproduce the problem with an incoming transfer.

Syslog excerpt of the last boot and first trace attached.



Nov 21 10:25:48 khyber kernel: [  351.080635] WARNING: at net/core/dev.c:1451 skb_gso_segment+0x88/0x1af
()
Nov 21 10:25:49 khyber kernel: [  351.117491] Modules linked in: sg sr_mod usb_storage xt_multiport kvm_
amd kvm w83627hf_wdt bridge ip6t_LOG nf_conntrack_ipv6 xt_state ip6t_REJECT ip6t_rt ip6table_filter ip6_
tables ipv6 xt_tcpudp ipt_LOG xt_limit ipt_REJECT nf_conntrack_ipv4 xt_conntrack nf_conntrack ipt_addrty
pe iptable_filter ip_tables x_tables ipmi_poweroff ipmi_devintf ipmi_si ipmi_msghandler joydev usbhid id
e_cd_mod cdrom hid ff_memless amd74xx button i2c_nforce2 snd_pcm snd_timer ehci_hcd ohci_hcd i2c_core sn
d soundcore snd_page_alloc evdev forcedeth pcspkr ext3 jbd mbcache dm_mirror dm_log dm_snapshot dm_mod r
aid1 md_mod sd_mod thermal processor fan thermal_sys ide_pci_generic ide_core ata_generic sata_nv libata
 scsi_mod dock
Nov 21 10:25:49 khyber kernel: [  351.323244] Pid: 3733, comm: sshd Not tainted 2.6.26-1-amd64 #1
Nov 21 10:25:49 khyber kernel: [  351.355032] 
Nov 21 10:25:49 khyber kernel: [  351.355033] Call Trace:
Nov 21 10:25:49 khyber kernel: [  351.370936]  <IRQ>  [<ffffffff802349b8>] warn_on_slowpath+0x51/0x7a
Nov 21 10:25:49 khyber kernel: [  351.392079]  [<ffffffffa0292153>] :nf_conntrack_ipv6:nf_ct_ipv6_skip_e
xthdr+0x79/0x8e
Nov 21 10:25:49 khyber kernel: [  351.431642]  [<ffffffffa0210d1c>] :nf_conntrack:nf_ct_deliver_cached_e
vents+0x4c/0x7c
Nov 21 10:25:49 khyber kernel: [  351.471199]  [<ffffffffa029253f>] :nf_conntrack_ipv6:ipv6_confirm+0xd9/0xee
Nov 21 10:25:49 khyber kernel: [  351.500131]  [<ffffffff803d4424>] nf_iterate+0x41/0x7d
Nov 21 10:25:49 khyber kernel: [  351.523598]  [<ffffffff803baa2e>] skb_gso_segment+0x88/0x1af
Nov 21 10:25:49 khyber kernel: [  351.544626]  [<ffffffffa02378b0>] :ipv6:ip6_output_finish+0x0/0xd0
Nov 21 10:25:49 khyber kernel: [  351.575239]  [<ffffffff803bacd4>] dev_hard_start_xmit+0x17f/0x24e
Nov 21 10:25:49 khyber kernel: [  351.605554]  [<ffffffff803bd28d>] dev_queue_xmit+0x1f0/0x2b3
Nov 21 10:25:49 khyber kernel: [  351.634598]  [<ffffffffa0238d61>] :ipv6:ip6_output+0xc11/0xc37
Nov 21 10:25:49 khyber kernel: [  351.660188]  [<ffffffffa0237838>] :ipv6:dst_output+0x0/0xb
Nov 21 10:25:49 khyber kernel: [  351.680707]  [<ffffffff803d44bd>] nf_hook_slow+0x5d/0xbe
Nov 21 10:25:49 khyber kernel: [  351.704723]  [<ffffffffa0237838>] :ipv6:dst_output+0x0/0xb
Nov 21 10:25:49 khyber kernel: [  351.733269]  [<ffffffffa023a90e>] :ipv6:ip6_xmit+0x35c/0x44e
Nov 21 10:25:49 khyber kernel: [  352.237785]  [<ffffffffa025b654>] :ipv6:inet6_csk_xmit+0x219/0x235
Nov 21 10:25:49 khyber kernel: [  352.264390]  [<ffffffff803b5df4>] __alloc_skb+0x7f/0x12d
Nov 21 10:25:49 khyber kernel: [  352.288385]  [<ffffffff80324a34>] pci_bus_write_config_dword+0x5f/0x6e
Nov 21 10:25:49 khyber kernel: [  352.320020]  [<ffffffff803edde0>] tcp_transmit_skb+0x731/0x76e
Nov 21 10:25:49 khyber kernel: [  352.349570]  [<ffffffff803eefd7>] tso_fragment+0xef/0x13b
Nov 21 10:25:49 khyber kernel: [  352.373834]  [<ffffffff803ef6f9>] __tcp_push_pending_frames+0x6d6/0x7a9
Nov 21 10:25:49 khyber kernel: [  352.405718]  [<ffffffff803ec6bc>] tcp_rcv_established+0x10c/0x8b4
Nov 21 10:25:49 khyber kernel: [  352.432072]  [<ffffffffa0255335>] :ipv6:tcp_v6_do_rcv+0x626/0x8ff
Nov 21 10:25:49 khyber kernel: [  352.462412]  [<ffffffffa0210d1c>] :nf_conntrack:nf_ct_deliver_cached_events+0x4c/0x7c
Nov 21 10:25:49 khyber kernel: [  352.501959]  [<ffffffffa029253f>] :nf_conntrack_ipv6:ipv6_confirm+0xd9/0xee
Nov 21 10:25:49 khyber kernel: [  352.534878]  [<ffffffff803d4424>] nf_iterate+0x41/0x7d
Nov 21 10:25:49 khyber kernel: [  352.558351]  [<ffffffff80416e3c>] __inet6_lookup_established+0xed/0x258
Nov 21 10:25:49 khyber kernel: [  352.590271]  [<ffffffffa0257b3f>] :ipv6:tcp_v6_rcv+0x638/0x685
Nov 21 10:25:49 khyber kernel: [  352.611870]  [<ffffffffa023abd5>] :ipv6:ip6_input_finish+0x1d5/0x34c
Nov 21 10:25:49 khyber kernel: [  352.642995]  [<ffffffffa023b2a3>] :ipv6:ipv6_rcv+0x32d/0x38e
Nov 21 10:25:49 khyber kernel: [  352.668033]  [<ffffffffa029d808>] :bridge:br_handle_frame_finish+0x107/0x13e
Nov 21 10:25:49 khyber kernel: [  352.705230]  [<ffffffffa02a0ff0>] :bridge:br_nf_pre_routing_finish_ipv6+0xaa/0xb0
Nov 21 10:25:49 khyber kernel: [  352.743736]  [<ffffffffa02a1c6f>] :bridge:br_nf_pre_routing+0x38a/0x617
Nov 21 10:25:49 khyber kernel: [  352.775611]  [<ffffffff803d4424>] nf_iterate+0x41/0x7d
Nov 21 10:25:49 khyber kernel: [  352.799081]  [<ffffffffa02a0ff0>] :bridge:br_nf_pre_routing_finish_ipv6+0xaa/0xb0
Nov 21 10:25:49 khyber kernel: [  352.837599]  [<ffffffffa029d701>] :bridge:br_handle_frame_finish+0x0/0x13e
Nov 21 10:25:49 khyber kernel: [  352.870283]  [<ffffffff803d44bd>] nf_hook_slow+0x5d/0xbe
Nov 21 10:25:49 khyber kernel: [  352.894275]  [<ffffffffa029d701>] :bridge:br_handle_frame_finish+0x0/0x13e
Nov 21 10:25:49 khyber kernel: [  352.926968]  [<ffffffffa029d9e3>] :bridge:br_handle_frame+0x1a4/0x1c9
Nov 21 10:25:49 khyber kernel: [  352.958327]  [<ffffffff803ba614>] netif_receive_skb+0x29f/0x3b8
Nov 21 10:25:49 khyber kernel: [  352.980139]  [<ffffffff803b5df4>] __alloc_skb+0x7f/0x12d
Nov 21 10:25:49 khyber kernel: [  353.004129]  [<ffffffff803bcdea>] process_backlog+0x86/0xef
Nov 21 10:25:49 khyber kernel: [  353.032908]  [<ffffffff803b6156>] dev_alloc_skb+0x16/0x2d
Nov 21 10:25:49 khyber kernel: [  353.057145]  [<ffffffff803bc657>] net_rx_action+0xab/0x1da
Nov 21 10:25:49 khyber kernel: [  353.085621]  [<ffffffff802393b7>] __do_softirq+0x5c/0xd1
Nov 21 10:25:49 khyber kernel: [  353.109612]  [<ffffffff8020d2cc>] call_softirq+0x1c/0x28
Nov 21 10:25:49 khyber kernel: [  353.133581]  [<ffffffff8020f3d0>] do_softirq+0x3c/0x81
Nov 21 10:25:49 khyber kernel: [  353.157050]  [<ffffffff80239317>] irq_exit+0x3f/0x83
Nov 21 10:25:49 khyber kernel: [  353.175978]  [<ffffffff8020f630>] do_IRQ+0xb9/0xd9
Nov 21 10:25:49 khyber kernel: [  353.198405]  [<ffffffff8020c46d>] ret_from_intr+0x0/0x19
Nov 21 10:25:49 khyber kernel: [  353.222370]  <EOI>  [<ffffffff802a6ecd>] poll_freewait+0x2d/0x6a
Nov 21 10:25:49 khyber kernel: [  353.242715]  [<ffffffff802a6ec9>] poll_freewait+0x29/0x6a
Nov 21 10:25:49 khyber kernel: [  353.085621]  [<ffffffff802393b7>] __do_softirq+0x5c/0xd1
Nov 21 10:25:49 khyber kernel: [  353.109612]  [<ffffffff8020d2cc>] call_softirq+0x1c/0x28
Nov 21 10:25:49 khyber kernel: [  353.133581]  [<ffffffff8020f3d0>] do_softirq+0x3c/0x81
Nov 21 10:25:49 khyber kernel: [  353.157050]  [<ffffffff80239317>] irq_exit+0x3f/0x83
Nov 21 10:25:49 khyber kernel: [  353.175978]  [<ffffffff8020f630>] do_IRQ+0xb9/0xd9
Nov 21 10:25:49 khyber kernel: [  353.198405]  [<ffffffff8020c46d>] ret_from_intr+0x0/0x19
Nov 21 10:25:49 khyber kernel: [  353.222370]  <EOI>  [<ffffffff802a6ecd>] poll_freewait+0x2d/0x6a
Nov 21 10:25:49 khyber kernel: [  353.242715]  [<ffffffff802a6ec9>] poll_freewait+0x29/0x6a
Nov 21 10:25:50 khyber kernel: [  353.266967]  [<ffffffff802a7725>] do_select+0x421/0x43e
Nov 21 10:25:50 khyber kernel: [  353.286675]  [<ffffffff802a7bce>] __pollwait+0x0/0xe1
Nov 21 10:25:50 khyber kernel: [  353.309886]  [<ffffffff8022c202>] default_wake_function+0x0/0xe
Nov 21 10:25:50 khyber kernel: [  353.339677]  [<ffffffff8022c202>] default_wake_function+0x0/0xe
Nov 21 10:25:50 khyber kernel: [  353.365489]  [<ffffffff8022c202>] default_wake_function+0x0/0xe
Nov 21 10:25:50 khyber kernel: [  353.395297]  [<ffffffff8022c202>] default_wake_function+0x0/0xe
Nov 21 10:25:50 khyber kernel: [  353.425108]  [<ffffffff8022c202>] default_wake_function+0x0/0xe
Nov 21 10:25:50 khyber kernel: [  353.450893]  [<ffffffff803ed2c7>] tcp_init_tso_segs+0x31/0x47
Nov 21 10:25:50 khyber kernel: [  353.480198]  [<ffffffff803ef45c>] __tcp_push_pending_frames+0x439/0x7a9
Nov 21 10:25:50 khyber kernel: [  353.512082]  [<ffffffff80429bed>] _spin_lock_bh+0x9/0x1f
Nov 21 10:25:50 khyber kernel: [  353.536084]  [<ffffffff803b1d0b>] release_sock+0x13/0x96
Nov 21 10:25:50 khyber kernel: [  353.560079]  [<ffffffff803e4e0e>] tcp_sendmsg+0x8c3/0x9d3
Nov 21 10:25:50 khyber kernel: [  353.584312]  [<ffffffff803af5bf>] sock_aio_write+0xf8/0x110
Nov 21 10:25:50 khyber kernel: [  353.609082]  [<ffffffff802a78fe>] core_sys_select+0x1bc/0x264
Nov 21 10:25:50 khyber kernel: [  353.634364]  [<ffffffff8029accf>] do_sync_write+0xc9/0x10c
Nov 21 10:25:50 khyber kernel: [  353.654882]  [<ffffffff802461a9>] autoremove_wake_function+0x0/0x2e
Nov 21 10:25:50 khyber kernel: [  353.685733]  [<ffffffff80238b8d>] current_fs_time+0x1e/0x24
Nov 21 10:25:50 khyber kernel: [  353.706505]  [<ffffffff8036600e>] tty_ldisc_deref+0x62/0x75
Nov 21 10:25:50 khyber kernel: [  353.735277]  [<ffffffff802a7d70>] sys_select+0xc1/0x183
Nov 21 10:25:50 khyber kernel: [  353.772312]  [<ffffffff8029ba1b>] sys_write+0x45/0x6e
Nov 21 10:25:50 khyber kernel: [  354.872768]  [<ffffffff8020beca>] system_call_after_swapgs+0x8a/0x8f
Nov 21 10:25:50 khyber kernel: [  354.903882] 
Nov 21 10:25:50 khyber kernel: [  354.908414] ---[ end trace 2fb1e3d4c9030a93 ]---
Nov 21 10:25:50 khyber kernel: [  354.921333] ------------[ cut here ]------------
Nov 21 10:25:50 khyber kernel: [  355.030826] WARNING: at net/core/dev.c:1451 skb_gso_segment+0x88/0x1af()
Nov 21 10:25:50 khyber kernel: [  356.046822] Modules linked in: sg sr_mod usb_storage xt_multiport kvm_amd kvm w83627hf_wdt bridge ip6t_LOG nf_conntrack_ipv6 xt_state ip6t_REJECT ip6t_rt ip6table_filter ip6_tables ipv6 xt_tcpudp ipt_LOG xt_limit ipt_REJECT nf_conntrack_ipv4 xt_conntrack nf_conntrack ipt_addrtype iptable_filter ip_tables x_tables ipmi_poweroff ipmi_devintf ipmi_si ipmi_msghandler joydev usbhid ide_cd_mod cdrom hid ff_memless amd74xx button i2c_nforce2 snd_pcm snd_timer ehci_hcd ohci_hcd i2c_core snd soundcore snd_page_alloc evdev forcedeth pcspkr ext3 jbd mbcache dm_mirror dm_log dm_snapshot dm_mod raid1 md_mod sd_mod thermal processor fan thermal_sys ide_pci_generic ide_core ata_generic sata_nv libata scsi_mod dock
Nov 21 10:25:50 khyber kernel: [  356.323410] Pid: 3733, comm: sshd Tainted: G        W 2.6.26-1-amd64 #1
Nov 21 10:25:50 khyber kernel: [  356.348885] 
Nov 21 10:25:50 khyber kernel: [  356.348886] Call Trace:
[...]


-- Package-specific info:
** Version:
Linux version 2.6.26-1-amd64 (Debian 2.6.26-10) (waldi@debian.org) (gcc version 4.1.3 20080623 (prerelease) (Debian 4.1.2-23)) #1 SMP Sat Nov 8 18:25:23 UTC 2008

** Command line:
root=/dev/mapper/khyber-root ro console=tty0 console=ttyS1,38400n8

** Tainted: G W (512)

** Kernel log:
[see above, syslog attached]

** Loaded modules:
Module                  Size  Used by
sg                     36448  0 
sr_mod                 19652  0 
usb_storage            94400  0 
xt_multiport            7424  1 
kvm_amd                29580  0 
kvm                   127464  1 kvm_amd
w83627hf_wdt            9748  1 
bridge                 53544  0 
ip6t_LOG               10372  1 
nf_conntrack_ipv6      19048  3 
xt_state                6656  3 
ip6t_REJECT             8320  18 
ip6t_rt                 7040  2 
ip6table_filter         7296  1 
ip6_tables             23056  3 ip6t_LOG,ip6t_rt,ip6table_filter
ipv6                  288328  30 nf_conntrack_ipv6,ip6t_REJECT
xt_tcpudp               7680  31 
ipt_LOG                10116  1 
xt_limit                7172  2 
ipt_REJECT              7552  17 
nf_conntrack_ipv4      19352  3 
xt_conntrack            8704  3 
nf_conntrack           71440  4 nf_conntrack_ipv6,xt_state,nf_conntrack_ipv4,xt_conntrack
ipt_addrtype            6912  1 
iptable_filter          7424  1 
ip_tables              21520  1 iptable_filter
x_tables               25224  13 xt_multiport,ip6t_LOG,xt_state,ip6t_REJECT,ip6t_rt,ip6_tables,xt_tcpudp,ipt_LOG,xt_limit,ipt_REJECT,xt_conntrack,ipt_addrtype,ip_tables
ipmi_poweroff          13776  0 
ipmi_devintf           13200  2 
ipmi_si                43628  2 
ipmi_msghandler        38520  3 ipmi_poweroff,ipmi_devintf,ipmi_si
joydev                 14848  0 
usbhid                 45792  0 
ide_cd_mod             36360  0 
cdrom                  37928  2 sr_mod,ide_cd_mod
hid                    41792  1 usbhid
ff_memless              9224  1 usbhid
amd74xx                13448  0 [permanent]
button                 11680  0 
i2c_nforce2            10752  0 
snd_pcm                81672  0 
snd_timer              25744  1 snd_pcm
ehci_hcd               36108  0 
ohci_hcd               25092  0 
i2c_core               27936  1 i2c_nforce2
snd                    63688  2 snd_pcm,snd_timer
soundcore              12064  1 snd
snd_page_alloc         13072  1 snd_pcm
evdev                  14208  0 
forcedeth              54032  0 
pcspkr                  7040  0 
ext3                  124944  7 
jbd                    51240  1 ext3
mbcache                12804  1 ext3
dm_mirror              20608  0 
dm_log                 13956  1 dm_mirror
dm_snapshot            19400  2 
dm_mod                 58864  24 dm_mirror,dm_log,dm_snapshot
raid1                  24192  3 
md_mod                 80164  4 raid1
sd_mod                 29376  12 
thermal                22688  0 
processor              42304  1 thermal
fan                     9352  0 
thermal_sys            17728  3 thermal,processor,fan
ide_pci_generic         9220  0 [permanent]
ide_core              128284  3 ide_cd_mod,amd74xx,ide_pci_generic
ata_generic            10116  0 
sata_nv                27528  8 
libata                165472  2 ata_generic,sata_nv
scsi_mod              160760  5 sg,sr_mod,usb_storage,sd_mod,libata
dock                   14112  1 libata

** PCI devices:
00:00.0 RAM memory [0500]: nVidia Corporation MCP55 Memory Controller [10de:0369] (rev a2)
	Subsystem: Super Micro Computer Inc Device [15d9:1911]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Capabilities: <access denied>

00:01.0 ISA bridge [0601]: nVidia Corporation MCP55 LPC Bridge [10de:0364] (rev a3)
	Subsystem: Super Micro Computer Inc Device [15d9:1911]
	Control: I/O+ Mem+ BusMaster+ SpecCycle+ MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0

00:01.1 SMBus [0c05]: nVidia Corporation MCP55 SMBus [10de:0368] (rev a3)
	Subsystem: Super Micro Computer Inc Device [15d9:1911]
	Control: I/O+ Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Interrupt: pin A routed to IRQ 11
	Region 0: I/O ports at dc00 [size=64]
	Region 4: I/O ports at 2d00 [size=64]
	Region 5: I/O ports at 2e00 [size=64]
	Capabilities: <access denied>
	Kernel driver in use: nForce2_smbus
	Kernel modules: i2c-nforce2

00:02.0 USB Controller [0c03]: nVidia Corporation MCP55 USB Controller [10de:036c] (rev a1) (prog-if 10 [OHCI])
	Subsystem: Super Micro Computer Inc Device [15d9:1911]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0 (750ns min, 250ns max)
	Interrupt: pin A routed to IRQ 22
	Region 0: Memory at feafb000 (32-bit, non-prefetchable) [size=4K]
	Capabilities: <access denied>
	Kernel driver in use: ohci_hcd
	Kernel modules: ohci-hcd

00:02.1 USB Controller [0c03]: nVidia Corporation MCP55 USB Controller [10de:036d] (rev a2) (prog-if 20 [EHCI])
	Subsystem: Super Micro Computer Inc Device [15d9:1911]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0 (750ns min, 250ns max)
	Interrupt: pin B routed to IRQ 21
	Region 0: Memory at feafac00 (32-bit, non-prefetchable) [size=256]
	Capabilities: <access denied>
	Kernel driver in use: ehci_hcd
	Kernel modules: ehci-hcd

00:04.0 IDE interface [0101]: nVidia Corporation MCP55 IDE [10de:036e] (rev a1) (prog-if 8a [Master SecP PriP])
	Subsystem: Super Micro Computer Inc Device [15d9:1911]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0 (750ns min, 250ns max)
	Region 0: [virtual] Memory at 000001f0 (32-bit, non-prefetchable) [disabled] [size=8]
	Region 1: [virtual] Memory at 000003f0 (type 3, non-prefetchable) [disabled] [size=1]
	Region 2: [virtual] Memory at 00000170 (32-bit, non-prefetchable) [disabled] [size=8]
	Region 3: [virtual] Memory at 00000370 (type 3, non-prefetchable) [disabled] [size=1]
	Region 4: I/O ports at ffa0 [size=16]
	Capabilities: <access denied>
	Kernel driver in use: AMD_IDE
	Kernel modules: ide-pci-generic, amd74xx, ata_generic

00:05.0 IDE interface [0101]: nVidia Corporation MCP55 SATA Controller [10de:037f] (rev a3) (prog-if 85 [Master SecO PriO])
	Subsystem: Super Micro Computer Inc Device [15d9:1911]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0 (750ns min, 250ns max)
	Interrupt: pin A routed to IRQ 23
	Region 0: I/O ports at d480 [size=8]
	Region 1: I/O ports at d400 [size=4]
	Region 2: I/O ports at d080 [size=8]
	Region 3: I/O ports at d000 [size=4]
	Region 4: I/O ports at cc00 [size=16]
	Region 5: Memory at feaf9000 (32-bit, non-prefetchable) [size=4K]
	Capabilities: <access denied>
	Kernel driver in use: sata_nv
	Kernel modules: ide-pci-generic, ata_generic, sata_nv

00:05.1 IDE interface [0101]: nVidia Corporation MCP55 SATA Controller [10de:037f] (rev a3) (prog-if 85 [Master SecO PriO])
	Subsystem: Super Micro Computer Inc Device [15d9:1911]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0 (750ns min, 250ns max)
	Interrupt: pin B routed to IRQ 22
	Region 0: I/O ports at c880 [size=8]
	Region 1: I/O ports at c800 [size=4]
	Region 2: I/O ports at c480 [size=8]
	Region 3: I/O ports at c400 [size=4]
	Region 4: I/O ports at c080 [size=16]
	Region 5: Memory at feaf8000 (32-bit, non-prefetchable) [size=4K]
	Capabilities: <access denied>
	Kernel driver in use: sata_nv
	Kernel modules: ide-pci-generic, ata_generic, sata_nv

00:05.2 IDE interface [0101]: nVidia Corporation MCP55 SATA Controller [10de:037f] (rev a3) (prog-if 85 [Master SecO PriO])
	Subsystem: Super Micro Computer Inc Device [15d9:1911]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0 (750ns min, 250ns max)
	Interrupt: pin C routed to IRQ 21
	Region 0: I/O ports at c000 [size=8]
	Region 1: I/O ports at bc00 [size=4]
	Region 2: I/O ports at b880 [size=8]
	Region 3: I/O ports at b800 [size=4]
	Region 4: I/O ports at b480 [size=16]
	Region 5: Memory at feaf7000 (32-bit, non-prefetchable) [size=4K]
	Capabilities: <access denied>
	Kernel driver in use: sata_nv
	Kernel modules: ide-pci-generic, ata_generic, sata_nv

00:06.0 PCI bridge [0604]: nVidia Corporation MCP55 PCI bridge [10de:0370] (rev a2) (prog-if 01 [Subtractive decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Bus: primary=00, secondary=01, subordinate=01, sec-latency=64
	I/O behind bridge: 0000e000-0000efff
	Memory behind bridge: feb00000-febfffff
	Prefetchable memory behind bridge: f0000000-f7ffffff
	Secondary status: 66MHz- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR+ NoISA- VGA+ MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr+ DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>

00:08.0 Bridge [0680]: nVidia Corporation MCP55 Ethernet [10de:0373] (rev a3)
	Subsystem: Super Micro Computer Inc Device [15d9:1911]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0 (250ns min, 5000ns max)
	Interrupt: pin A routed to IRQ 1273
	Region 0: Memory at feaf6000 (32-bit, non-prefetchable) [size=4K]
	Region 1: I/O ports at b400 [size=8]
	Region 2: Memory at feafa800 (32-bit, non-prefetchable) [size=256]
	Region 3: Memory at feafa400 (32-bit, non-prefetchable) [size=16]
	Capabilities: <access denied>
	Kernel driver in use: forcedeth
	Kernel modules: forcedeth

00:09.0 Bridge [0680]: nVidia Corporation MCP55 Ethernet [10de:0373] (rev a3)
	Subsystem: Super Micro Computer Inc Device [15d9:1911]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0 (250ns min, 5000ns max)
	Interrupt: pin A routed to IRQ 23
	Region 0: Memory at feaf5000 (32-bit, non-prefetchable) [size=4K]
	Region 1: I/O ports at b080 [size=8]
	Region 2: Memory at feafa000 (32-bit, non-prefetchable) [size=256]
	Region 3: Memory at feaf4c00 (32-bit, non-prefetchable) [size=16]
	Capabilities: <access denied>
	Kernel driver in use: forcedeth
	Kernel modules: forcedeth

00:0a.0 PCI bridge [0604]: nVidia Corporation MCP55 PCI Express bridge [10de:0376] (rev a3) (prog-if 00 [Normal decode])
	Control: I/O- Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=02, subordinate=02, sec-latency=0
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR+ NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport-driver
	Kernel modules: shpchp

00:0b.0 PCI bridge [0604]: nVidia Corporation MCP55 PCI Express bridge [10de:0374] (rev a3) (prog-if 00 [Normal decode])
	Control: I/O- Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=03, subordinate=03, sec-latency=0
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR+ NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport-driver
	Kernel modules: shpchp

00:0c.0 PCI bridge [0604]: nVidia Corporation MCP55 PCI Express bridge [10de:0374] (rev a3) (prog-if 00 [Normal decode])
	Control: I/O- Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=04, subordinate=04, sec-latency=0
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR+ NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport-driver
	Kernel modules: shpchp

00:0d.0 PCI bridge [0604]: nVidia Corporation MCP55 PCI Express bridge [10de:0378] (rev a3) (prog-if 00 [Normal decode])
	Control: I/O- Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=05, subordinate=05, sec-latency=0
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR+ NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport-driver
	Kernel modules: shpchp

00:0e.0 PCI bridge [0604]: nVidia Corporation MCP55 PCI Express bridge [10de:0375] (rev a3) (prog-if 00 [Normal decode])
	Control: I/O- Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=06, subordinate=06, sec-latency=0
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR+ NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport-driver
	Kernel modules: shpchp

00:0f.0 PCI bridge [0604]: nVidia Corporation MCP55 PCI Express bridge [10de:0377] (rev a3) (prog-if 00 [Normal decode])
	Control: I/O- Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=07, subordinate=07, sec-latency=0
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR+ NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport-driver
	Kernel modules: shpchp

00:18.0 Host bridge [0600]: Advanced Micro Devices [AMD] Family 10h [Opteron, Athlon64, Sempron] HyperTransport Configuration [1022:1200]
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Capabilities: <access denied>

00:18.1 Host bridge [0600]: Advanced Micro Devices [AMD] Family 10h [Opteron, Athlon64, Sempron] Address Map [1022:1201]
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-

00:18.2 Host bridge [0600]: Advanced Micro Devices [AMD] Family 10h [Opteron, Athlon64, Sempron] DRAM Controller [1022:1202]
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-

00:18.3 Host bridge [0600]: Advanced Micro Devices [AMD] Family 10h [Opteron, Athlon64, Sempron] Miscellaneous Control [1022:1203]
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Capabilities: <access denied>

00:18.4 Host bridge [0600]: Advanced Micro Devices [AMD] Family 10h [Opteron, Athlon64, Sempron] Link Control [1022:1204]
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-

00:19.0 Host bridge [0600]: Advanced Micro Devices [AMD] Family 10h [Opteron, Athlon64, Sempron] HyperTransport Configuration [1022:1200]
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Capabilities: <access denied>

00:19.1 Host bridge [0600]: Advanced Micro Devices [AMD] Family 10h [Opteron, Athlon64, Sempron] Address Map [1022:1201]
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-

00:19.2 Host bridge [0600]: Advanced Micro Devices [AMD] Family 10h [Opteron, Athlon64, Sempron] DRAM Controller [1022:1202]
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-

00:19.3 Host bridge [0600]: Advanced Micro Devices [AMD] Family 10h [Opteron, Athlon64, Sempron] Miscellaneous Control [1022:1203]
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Capabilities: <access denied>

00:19.4 Host bridge [0600]: Advanced Micro Devices [AMD] Family 10h [Opteron, Athlon64, Sempron] Link Control [1022:1204]
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-

01:05.0 VGA compatible controller [0300]: ATI Technologies Inc ES1000 [1002:515e] (rev 02) (prog-if 00 [VGA controller])
	Subsystem: Super Micro Computer Inc Device [15d9:1911]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping+ SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64 (2000ns min), Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 10
	Region 0: Memory at f0000000 (32-bit, prefetchable) [size=128M]
	Region 1: I/O ports at e000 [size=256]
	Region 2: Memory at febf0000 (32-bit, non-prefetchable) [size=64K]
	Expansion ROM at feb00000 [disabled] [size=128K]
	Capabilities: <access denied>
	Kernel modules: radeonfb



-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.26-1-amd64 (SMP w/8 CPU cores)
Locale: LANG=en_GB, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages linux-image-2.6.26-1-amd64 depends on:
ii  debconf [debconf-2.0]         1.5.24     Debian configuration management sy
ii  initramfs-tools [linux-initra 0.92j      tools for generating an initramfs
ii  module-init-tools             3.4-1      tools for managing Linux kernel mo

linux-image-2.6.26-1-amd64 recommends no packages.

Versions of packages linux-image-2.6.26-1-amd64 suggests:
ii  grub                          0.97-47    GRand Unified Bootloader (Legacy v
pn  linux-doc-2.6.26              <none>     (no description available)

-- debconf information:
  linux-image-2.6.26-1-amd64/postinst/create-kimage-link-2.6.26-1-amd64: true
  shared/kernel-image/really-run-bootloader: true
  linux-image-2.6.26-1-amd64/postinst/kimage-is-a-directory:
  linux-image-2.6.26-1-amd64/preinst/bootloader-initrd-2.6.26-1-amd64: true
  linux-image-2.6.26-1-amd64/postinst/old-initrd-link-2.6.26-1-amd64: true
  linux-image-2.6.26-1-amd64/preinst/initrd-2.6.26-1-amd64:
  linux-image-2.6.26-1-amd64/postinst/old-system-map-link-2.6.26-1-amd64: true
  linux-image-2.6.26-1-amd64/postinst/depmod-error-initrd-2.6.26-1-amd64: false
  linux-image-2.6.26-1-amd64/preinst/overwriting-modules-2.6.26-1-amd64: true
  linux-image-2.6.26-1-amd64/preinst/elilo-initrd-2.6.26-1-amd64: true
  linux-image-2.6.26-1-amd64/postinst/bootloader-error-2.6.26-1-amd64:
  linux-image-2.6.26-1-amd64/preinst/abort-install-2.6.26-1-amd64:
  linux-image-2.6.26-1-amd64/preinst/lilo-initrd-2.6.26-1-amd64: true
  linux-image-2.6.26-1-amd64/postinst/depmod-error-2.6.26-1-amd64: false
  linux-image-2.6.26-1-amd64/prerm/removing-running-kernel-2.6.26-1-amd64: true
  linux-image-2.6.26-1-amd64/prerm/would-invalidate-boot-loader-2.6.26-1-amd64: true
  linux-image-2.6.26-1-amd64/postinst/bootloader-test-error-2.6.26-1-amd64:
  linux-image-2.6.26-1-amd64/preinst/abort-overwrite-2.6.26-1-amd64:
  linux-image-2.6.26-1-amd64/postinst/old-dir-initrd-link-2.6.26-1-amd64: true
  linux-image-2.6.26-1-amd64/preinst/lilo-has-ramdisk:
  linux-image-2.6.26-1-amd64/preinst/failed-to-move-modules-2.6.26-1-amd64:
[syslog.bz2 (application/octet-stream, attachment)]
[digital_signature_gpg.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#506419; Package linux-image-2.6.26-1-amd64. (Fri, 21 Nov 2008 11:48:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to martin f krafft <madduck@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 21 Nov 2008 11:48:06 GMT) Full text and rfc822 format available.

Message #10 received at 506419@bugs.debian.org (full text, mbox):

From: martin f krafft <madduck@debian.org>
To: 506419@bugs.debian.org
Subject: forcedeth at fault, checksum offloading
Date: Fri, 21 Nov 2008 12:44:29 +0100
[Message part 1 (text/plain, inline)]
found 506419 2.6.26-8
thanks

Bastian Blank helpfully diagnosed the problem to be with the
forcedeth driver. He pointed me at commit edcfe5f[0], which should
be in 2.6.26.4, but apparently it's either not present in Debian's
2.6.26-10 package, or it does not fix the bug entirely.

0. http://repo.or.cz/w/linux-2.6.git?a=commitdiff;h=edcfe5f7e307846e578fb88d69fa27051fded0ab

The issue doesn't seem new[1] and Bastian thinks it might have to
do with bridging, which is in fact being used on my system.

1. http://kerneltrap.org/mailarchive/linux-netdev/2008/10/16/3674714

khyber:~# brctl show
bridge name     bridge id               STP enabled     interfaces
br0             8000.003048c2f5e8       no              eth0

He suggests it's to do with checksum offloading and asked me to
experiment with disabling the offloading:

  khyber:~# ethtool --show-offload eth0
  Offload parameters for eth0:
  rx-checksumming: on
  tx-checksumming: on
  scatter-gather: on
  tcp segmentation offload: on
  udp fragmentation offload: off
  generic segmentation offload: on

  khyber:~# ethtool --show-offload br0
  Offload parameters for br0:
  Cannot get device rx csum settings: Operation not supported
  rx-checksumming: off
  tx-checksumming: on
  scatter-gather: on
  tcp segmentation offload: on
  udp fragmentation offload: off
  generic segmentation offload: off

The problem goes away if I turn all features off, on either one
interface, or on both together, e.g.

  khyber:~# i=eth0; set -x; for s in rx tx sgo tso ufo gso; do ethtool -K $i $s off; done; set +x
  + for s in rx tx sgo tso ufo gso
  + ethtool -K eth0 rx off
  + for s in rx tx sgo tso ufo gso
  + ethtool -K eth0 tx off
  + for s in rx tx sgo tso ufo gso
  + ethtool -K eth0 sgo off
  no offload settings changed
  + for s in rx tx sgo tso ufo gso
  + ethtool -K eth0 tso off
  + for s in rx tx sgo tso ufo gso
  + ethtool -K eth0 ufo off
  Cannot set device udp large send offload settings: Operation not supported
  + for s in rx tx sgo tso ufo gso
  + ethtool -K eth0 gso off
  + set +x

The problem can indeed be fixed with

  ethtool -K eth0 tx off

or so it seems. Unfortunately, this reduces the throughput rate by
a noticeable amount.

The problem also exists with 2.6.26-8, although I have not noticed
it before last night's upgrade to -10.

Thanks, Bastian,

-- 
 .''`.   martin f. krafft <madduck@debian.org>
: :'  :  proud Debian developer, author, administrator, and user
`. `'`   http://people.debian.org/~madduck - http://debiansystem.info
  `-  Debian - when you have better things to do than fixing systems
[digital_signature_gpg.asc (application/pgp-signature, inline)]

Bug marked as found in version 2.6.26-8. Request was from martin f krafft <madduck@debian.org> to control@bugs.debian.org. (Fri, 21 Nov 2008 11:48:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#506419; Package linux-image-2.6.26-1-amd64. (Fri, 21 Nov 2008 12:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Aioanei Rares" <debian.dev.list@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 21 Nov 2008 12:57:03 GMT) Full text and rfc822 format available.

Message #17 received at submit@bugs.debian.org (full text, mbox):

From: "Aioanei Rares" <debian.dev.list@gmail.com>
To: "martin f krafft" <madduck@madduck.net>, 506419@bugs.debian.org
Cc: submit@bugs.debian.org
Subject: Re: Bug#506419: kernel trace during IPv6 ssh output
Date: Fri, 21 Nov 2008 14:53:49 +0200
[Message part 1 (text/plain, inline)]
On Fri, Nov 21, 2008 at 12:06 PM, martin f krafft <madduck@madduck.net>wrote:

> Package: linux-image-2.6.26-1-amd64
> Version: 2.6.26-10
> Severity: important
> Tags: ipv6
>
> This is a lenny system. Important because IPv6 is a release goal.
>
> When I run dmesg through a (native) IPv6 SSH connection on a new
> server, the kernel spews plenty traces to the console. The first
> trace says the kernel is not tainted, in subsequent traces, the
> taint is claimed to be GW(512). Note below how it is tainted at
> 10:25:50 (second trace), but not at 10:25:49 (first trace).
>
> The same problem arises during *outgoing* scp and renders all other
> SSH sessions basically unusable for the duration of the transfer.
> I can reproduce this with an *outgoing* HTTP session too.
>
> I cannot reproduce the problem with an IPv4 connection.
> I cannot reproduce the problem with an incoming transfer.
>
> Syslog excerpt of the last boot and first trace attached.
>
>
> [snip]


Can you reproduce on another version of the kernel or a vanilla?
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#506419; Package linux-image-2.6.26-1-amd64. (Fri, 21 Nov 2008 12:57:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Aioanei Rares" <debian.dev.list@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 21 Nov 2008 12:57:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#506419; Package linux-image-2.6.26-1-amd64. (Fri, 21 Nov 2008 13:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 21 Nov 2008 13:33:07 GMT) Full text and rfc822 format available.

Message #27 received at 506419@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: martin f krafft <madduck@madduck.net>, 506419@bugs.debian.org
Subject: Re: Bug#506419: kernel trace during IPv6 ssh output
Date: Fri, 21 Nov 2008 13:32:00 +0000
[Message part 1 (text/plain, inline)]
On Fri, 2008-11-21 at 11:06 +0100, martin f krafft wrote:
> Package: linux-image-2.6.26-1-amd64
> Version: 2.6.26-10
> Severity: important
> Tags: ipv6
> 
> This is a lenny system. Important because IPv6 is a release goal.
> 
> When I run dmesg through a (native) IPv6 SSH connection on a new
> server, the kernel spews plenty traces to the console. The first
> trace says the kernel is not tainted, in subsequent traces, the
> taint is claimed to be GW(512). Note below how it is tainted at
> 10:25:50 (second trace), but not at 10:25:49 (first trace).

A WARN or BUG taints the kernel.

> The same problem arises during *outgoing* scp and renders all other
> SSH sessions basically unusable for the duration of the transfer.
> I can reproduce this with an *outgoing* HTTP session too.

This is a warning from the GSO (like TSO) code which only applies to
outgoing traffic.

The warning comes from:
	if (WARN_ON(skb->ip_summed != CHECKSUM_PARTIAL)) {
which means something generated an skb with incorrect flags (GSO depends
on having a partial checksum).

I notice there's bridging code in the call trace, and kvm in the modules
list.  Were you initiating the IPv6 connections from inside a VM?

Ben.

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#506419; Package linux-image-2.6.26-1-amd64. (Fri, 21 Nov 2008 14:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to martin f krafft <madduck@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 21 Nov 2008 14:03:02 GMT) Full text and rfc822 format available.

Message #32 received at 506419@bugs.debian.org (full text, mbox):

From: martin f krafft <madduck@debian.org>
To: Aioanei Rares <debian.dev.list@gmail.com>, Ben Hutchings <ben@decadent.org.uk>, 506419@bugs.debian.org
Subject: Re: Bug#506419: kernel trace during IPv6 ssh output
Date: Fri, 21 Nov 2008 14:58:32 +0100
[Message part 1 (text/plain, inline)]
Thanks Aioanei and Ben for your replies. Feels like we are getting
somewhere.



also sprach Aioanei Rares <debian.dev.list@gmail.com> [2008.11.21.1353 +0100]:
> Can you reproduce on another version of the kernel or a vanilla?

also sprach Ben Hutchings <ben@decadent.org.uk> [2008.11.21.1432 +0100]:
> This is a warning from the GSO (like TSO) code which only applies to
> outgoing traffic.

I build vanilla 2.6.26.7 and 2.6.27.7 and tried them (using deb-pkg
target to create the .debs, and mkinitramfs to make the initrd).

With 2.6.26.7, ethtool reports generic segmentation offload (GSO) to
be off, but it's on again with 2.6.27.7! As expected, the problem
does not appear with 2.6.26.7, but it does appear with 2.6.27.7.

Sure enough, turning gso off fixes the problem on the original
Debian kernel too.

> I notice there's bridging code in the call trace, and kvm in the
> modules list.  Were you initiating the IPv6 connections from
> inside a VM?

Not from inside the VM, but from the host, which is connected via
the same bridge.

-- 
 .''`.   martin f. krafft <madduck@debian.org>
: :'  :  proud Debian developer, author, administrator, and user
`. `'`   http://people.debian.org/~madduck - http://debiansystem.info
  `-  Debian - when you have better things to do than fixing systems
 
oxymoron: micro$oft works
[digital_signature_gpg.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#506419; Package linux-image-2.6.26-1-amd64. (Sat, 29 Nov 2008 20:51:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 29 Nov 2008 20:51:06 GMT) Full text and rfc822 format available.

Message #37 received at 506419@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: martin f krafft <madduck@debian.org>
Cc: Bastian Blank <waldi@debian.org>, Aioanei Rares <debian.dev.list@gmail.com>, 506419@bugs.debian.org
Subject: Re: Bug#506419: kernel trace during IPv6 ssh output
Date: Sat, 29 Nov 2008 20:53:24 +0000
[Message part 1 (text/plain, inline)]
On Fri, 2008-11-21 at 14:58 +0100, martin f krafft wrote:
> Thanks Aioanei and Ben for your replies. Feels like we are getting
> somewhere.
> 
> 
> 
> also sprach Aioanei Rares <debian.dev.list@gmail.com> [2008.11.21.1353 +0100]:
> > Can you reproduce on another version of the kernel or a vanilla?
> 
> also sprach Ben Hutchings <ben@decadent.org.uk> [2008.11.21.1432 +0100]:
> > This is a warning from the GSO (like TSO) code which only applies to
> > outgoing traffic.
> 
> I build vanilla 2.6.26.7 and 2.6.27.7 and tried them (using deb-pkg
> target to create the .debs, and mkinitramfs to make the initrd).
> 
> With 2.6.26.7, ethtool reports generic segmentation offload (GSO) to
> be off, but it's on again with 2.6.27.7! As expected, the problem
> does not appear with 2.6.26.7, but it does appear with 2.6.27.7.

GSO is enabled by default in 2.6.27.  It implements something like TSO
(really delayed segmentation) for IPv4 and IPv6 for any device that
supports TX checksum offload but not TSO.

You later wrote:
> Bastian Blank helpfully diagnosed the problem to be with the
> forcedeth driver. He pointed me at commit edcfe5f[0], which should
> be in 2.6.26.4, but apparently it's either not present in Debian's
> 2.6.26-10 package, or it does not fix the bug entirely.

I believe that bug would result in IPv6 packets being sent with
incorrect checksums, and is entirely separate from this.

GSO depends on TX checksum offload so it is automatically disabled when
you disable TX checksum offload.  It is only being used for IPv6 because
the hardware implements TSO for IPv4.

This could be a bug in the interaction of bridging or netfilter with
GSO.  Could you try to rule out either of those?

Ben.

-- 
Ben Hutchings
Any smoothly functioning technology is indistinguishable from a rigged demo.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#506419; Package linux-image-2.6.26-1-amd64. (Thu, 04 Dec 2008 14:57:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to martin f krafft <madduck@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 04 Dec 2008 14:57:03 GMT) Full text and rfc822 format available.

Message #42 received at 506419@bugs.debian.org (full text, mbox):

From: martin f krafft <madduck@debian.org>
To: Ben Hutchings <ben@decadent.org.uk>, 506419@bugs.debian.org
Cc: Bastian Blank <waldi@debian.org>, Aioanei Rares <debian.dev.list@gmail.com>
Subject: Re: Bug#506419: kernel trace during IPv6 ssh output
Date: Thu, 4 Dec 2008 15:51:53 +0100
[Message part 1 (text/plain, inline)]
also sprach Ben Hutchings <ben@decadent.org.uk> [2008.11.29.2153 +0100]:
> This could be a bug in the interaction of bridging or netfilter with
> GSO.  Could you try to rule out either of those?

I cannot reproduce the same bug anymore, which may be due to the
fact that I am using a proto-41 IPv6 tunnel at the new location (and
thus lower transmission rates).

But I found a but that seems awfully related. This time, it's on
incoming traffic though, not outgoing.

So the bug is kinda horrid: the NIC that provides eth0 also connects
to the IPMI card, and when I cause a whole lot of IPv6 traffic
(incoming, e.g. downloading ISOs from switch.ch via IPv6), the NIC
locks up to the point where the IPMI card also becomes unreachable.
A soft-reboot fixes the problem. There is nothing in the logs.

I can produce this problem with bridging and iptables, or either of
the two, but not if I disable bridging and iptables. But since it is
rather intermittent, sometimes requiring several gigabytes to be
shoved across the line before it hangs up, it could be that plain,
no-iptables-no-bridge also has the problem.

The machine is coming back home with me. :(

-- 
 .''`.   martin f. krafft <madduck@debian.org>
: :'  :  proud Debian developer, author, administrator, and user
`. `'`   http://people.debian.org/~madduck - http://debiansystem.info
  `-  Debian - when you have better things to do than fixing systems
[digital_signature_gpg.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#506419; Package linux-image-2.6.26-1-amd64. (Fri, 05 Dec 2008 14:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to martin f krafft <madduck@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 05 Dec 2008 14:57:04 GMT) Full text and rfc822 format available.

Message #47 received at 506419@bugs.debian.org (full text, mbox):

From: martin f krafft <madduck@debian.org>
To: Ben Hutchings <ben@decadent.org.uk>, 506419@bugs.debian.org
Cc: Bastian Blank <waldi@debian.org>, Aioanei Rares <debian.dev.list@gmail.com>
Subject: Re: Bug#506419: kernel trace during IPv6 ssh output
Date: Fri, 5 Dec 2008 15:54:03 +0100
[Message part 1 (text/plain, inline)]
also sprach martin f krafft <madduck@debian.org> [2008.12.04.1551 +0100]:
> I cannot reproduce the same bug anymore, which may be due to the
> fact that I am using a proto-41 IPv6 tunnel at the new location
> (and thus lower transmission rates).

I can reproduce it now that the machine is back in a native IPV6
network.

> So the bug is kinda horrid: the NIC that provides eth0 also
> connects to the IPMI card, and when I cause a whole lot of IPv6
> traffic (incoming, e.g. downloading ISOs from switch.ch via IPv6),
> the NIC locks up to the point where the IPMI card also becomes
> unreachable. A soft-reboot fixes the problem. There is nothing in
> the logs.

Of course I can no longer reproduce this one at home, even with
a proto-41 tunnel to my gateway, and bridging and iptables.

JOY!

-- 
 .''`.   martin f. krafft <madduck@debian.org>
: :'  :  proud Debian developer, author, administrator, and user
`. `'`   http://people.debian.org/~madduck - http://debiansystem.info
  `-  Debian - when you have better things to do than fixing systems
[digital_signature_gpg.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#506419; Package linux-image-2.6.26-1-amd64. (Tue, 09 Dec 2008 10:57:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to martin f krafft <madduck@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 09 Dec 2008 10:57:05 GMT) Full text and rfc822 format available.

Message #52 received at 506419@bugs.debian.org (full text, mbox):

From: martin f krafft <madduck@debian.org>
To: 506419@bugs.debian.org
Subject: Driver from Supermicro fixes issue
Date: Tue, 9 Dec 2008 11:54:03 +0100
[Message part 1 (text/plain, inline)]
tags 506419 patch
thanks

The attached patch against linux-2.6 2.6.26-11 seems to fix the
original problem for me, but I have not had a chance to verify the
second ('downstream') problem I identified in the bug report.

The patch is based on the driver source I obtained via Transtec from
Supermicro, the board manufacturer. It's quite ugly and big and
I don't have the time to dissect it right now, but if you want me to
try out particulars, I will.

The new driver has one shortcoming: after loading, the LAN card
becomes unusable, even just bridging to the IPMI card fails. Once
you `ip link set eth0 up`, IPMI starts working again after 3-5
seconds.

To address the problem, I have created
/etc/modprobe.d/local-forcedeth with the following contents:

install forcedeth modprobe --ignore-install forcedeth; ip link set eth0 up
options forcedeth debug=1

This causes a problem with IPv6 RA if eth0 is actually part of
a bridge, in which case I advise to just add a pre-up hook to the
bridge iface stanza to down the iface again. Downing the iface after
IPMI has started working again does *not* break it again.

I'd still really like this fixed because having such a hack in place
to keep IPMI working doesn't really make me more relaxed about
remote kernel upgrades.

Cheers,

-- 
 .''`.   martin f. krafft <madduck@d.o>      Related projects:
: :'  :  proud Debian developer               http://debiansystem.info
`. `'`   http://people.debian.org/~madduck    http://vcs-pkg.org
  `-  Debian - when you have better things to do than fixing systems
[0001-import-driver-from-supermicro-nvidia.patch (text/x-diff, attachment)]
[0002-amend-version-number-for-local-changes.patch (text/x-diff, attachment)]
[digital_signature_gpg.asc (application/pgp-signature, inline)]

Tags added: patch Request was from martin f krafft <madduck@debian.org> to control@bugs.debian.org. (Tue, 09 Dec 2008 10:57:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#506419; Package linux-image-2.6.26-1-amd64. (Tue, 09 Dec 2008 11:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bastian Blank <waldi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 09 Dec 2008 11:15:03 GMT) Full text and rfc822 format available.

Message #59 received at 506419@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: martin f krafft <madduck@debian.org>, 506419@bugs.debian.org
Subject: Re: Bug#506419: Driver from Supermicro fixes issue
Date: Tue, 9 Dec 2008 12:11:55 +0100
tags 506419 -patch
thanks

On Tue, Dec 09, 2008 at 11:54:03AM +0100, martin f krafft wrote:
> The attached patch against linux-2.6 2.6.26-11 seems to fix the
> original problem for me, but I have not had a chance to verify the
> second ('downstream') problem I identified in the bug report.

This is no patch which suffice our guidelines. Please show submittions
to the Linux maintainers and/or commit ids.

Bastian

-- 
There's coffee in that nebula!
		-- Capt. Kathryn Janeway, Star Trek: Voyager, "The Cloud"




Tags removed: patch Request was from Bastian Blank <waldi@debian.org> to control@bugs.debian.org. (Tue, 09 Dec 2008 11:15:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#506419; Package linux-image-2.6.26-1-amd64. (Tue, 09 Dec 2008 11:39:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to martin f krafft <madduck@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 09 Dec 2008 11:39:02 GMT) Full text and rfc822 format available.

Message #66 received at 506419@bugs.debian.org (full text, mbox):

From: martin f krafft <madduck@debian.org>
To: Bastian Blank <waldi@debian.org>, 506419@bugs.debian.org
Subject: Re: Bug#506419: Driver from Supermicro fixes issue
Date: Tue, 9 Dec 2008 12:36:29 +0100
[Message part 1 (text/plain, inline)]
also sprach Bastian Blank <waldi@debian.org> [2008.12.09.1211 +0100]:
> This is no patch which suffice our guidelines. Please show
> submittions to the Linux maintainers and/or commit ids.

As stated in my message, I don't have the time to do this right now,
but I will try to get Transtec/Supermicro to push this stuff into
the kernel.

It's still a patch. I don't mind if you remove the patch tag, but it
might still be useful to some people. I, for one, don't expect this
to be fixed for lenny, or even any time soon, unfortunately.

Cheers,

-- 
 .''`.   martin f. krafft <madduck@d.o>      Related projects:
: :'  :  proud Debian developer               http://debiansystem.info
`. `'`   http://people.debian.org/~madduck    http://vcs-pkg.org
  `-  Debian - when you have better things to do than fixing systems
[digital_signature_gpg.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#506419; Package linux-image-2.6.26-1-amd64. (Tue, 09 Dec 2008 13:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bjørn Mork <bjorn@mork.no>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 09 Dec 2008 13:15:05 GMT) Full text and rfc822 format available.

Message #71 received at 506419@bugs.debian.org (full text, mbox):

From: Bjørn Mork <bjorn@mork.no>
To: martin f krafft <madduck@debian.org>, 506419@bugs.debian.org
Subject: Re: Bug#506419: Driver from Supermicro fixes issue
Date: Tue, 09 Dec 2008 14:13:36 +0100
martin f krafft <madduck@debian.org> writes:

> The attached patch against linux-2.6 2.6.26-11 seems to fix the
> original problem for me, but I have not had a chance to verify the
> second ('downstream') problem I identified in the bug report.
>
> The patch is based on the driver source I obtained via Transtec from
> Supermicro, the board manufacturer. It's quite ugly and big and
> I don't have the time to dissect it right now, but if you want me to
> try out particulars, I will.


Hmm, this part of your patch looks a lot like half of
edcfe5f7e307846e578fb88d69fa27051fded0ab which Bastian already has
pointed you to:

> @@ -5417,11 +6978,15 @@ static int __devinit nv_probe(struct pci_dev *pci_dev, const struct pci_device_i
>  	if (id->driver_data & DEV_HAS_LARGEDESC)
>  		np->pkt_limit = NV_PKTLIMIT_2;
>  
> +	dev->mtu = ETH_DATA_LEN;
> +
>  	if (id->driver_data & DEV_HAS_CHECKSUM) {
>  		np->rx_csum = 1;
>  		np->txrxctl_bits |= NVREG_TXRXCTL_RXCHECK;
> -		dev->features |= NETIF_F_HW_CSUM | NETIF_F_SG;
> +		dev->features |= NETIF_F_IP_CSUM|NETIF_F_SG;
> +#ifdef NETIF_F_TSO
>  		dev->features |= NETIF_F_TSO;
> +#endif
>  	}
>  
>  	np->vlanctl_bits = 0;


This should not apply against linux-2.6 2.6.26-11 since it is already a
part of debian/patches/bugfix/all/stable/2.6.26.4.patch. Are you sure
your patch really does apply?  If it does, then I'd suggest trying
*just* edcfe5f7e307846e578fb88d69fa27051fded0ab instead.


BTW, I also noticed that linux-2.6 2.6.26-11 includes the patch 
linux-2.6-2.6.26/debian/patches/features/all/net-use-gso.patch
which very well may trigger the problem.  You might also want to try
building without that patch.

In fact, I'm a little confused as to the reasons that patch is in
Debian.  It is probably the correct thing to do, but it is also the kind
of thing that is bound to cause regressions because it will expose
latent bugs in drivers.

But then again, there's your performance requirements.  I guess you'd
better get a proper NIC :-)


Bjørn
-- 
You have the narrow-mindedness of a disease carrier




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#506419; Package linux-image-2.6.26-1-amd64. (Tue, 09 Dec 2008 14:12:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bastian Blank <waldi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 09 Dec 2008 14:12:05 GMT) Full text and rfc822 format available.

Message #76 received at 506419@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: Bjørn Mork <bjorn@mork.no>, 506419@bugs.debian.org
Cc: martin f krafft <madduck@debian.org>
Subject: Re: Bug#506419: Driver from Supermicro fixes issue
Date: Tue, 9 Dec 2008 15:06:33 +0100
On Tue, Dec 09, 2008 at 02:13:36PM +0100, Bjørn Mork wrote:
> BTW, I also noticed that linux-2.6 2.6.26-11 includes the patch 
> linux-2.6-2.6.26/debian/patches/features/all/net-use-gso.patch
> which very well may trigger the problem.  You might also want to try
> building without that patch.
> 
> In fact, I'm a little confused as to the reasons that patch is in
> Debian.  It is probably the correct thing to do, but it is also the kind
> of thing that is bound to cause regressions because it will expose
> latent bugs in drivers.

This is in mainline: e5a4a72d4f88f4389e9340d383ca67031d1b8536. I don't
know what the rationale was to add this.

Bastian

-- 
I'm frequently appalled by the low regard you Earthmen have for life.
		-- Spock, "The Galileo Seven", stardate 2822.3




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#506419; Package linux-image-2.6.26-1-amd64. (Tue, 09 Dec 2008 14:18:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to martin f krafft <madduck@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 09 Dec 2008 14:18:02 GMT) Full text and rfc822 format available.

Message #81 received at 506419@bugs.debian.org (full text, mbox):

From: martin f krafft <madduck@debian.org>
To: Bjørn Mork <bjorn@mork.no>, 506419@bugs.debian.org
Subject: Re: Bug#506419: Driver from Supermicro fixes issue
Date: Tue, 9 Dec 2008 15:14:16 +0100
[Message part 1 (text/plain, inline)]
also sprach Bjørn Mork <bjorn@mork.no> [2008.12.09.1413 +0100]:
> This should not apply against linux-2.6 2.6.26-11 since it is already a
> part of debian/patches/bugfix/all/stable/2.6.26.4.patch. Are you sure
> your patch really does apply?  If it does, then I'd suggest trying
> *just* edcfe5f7e307846e578fb88d69fa27051fded0ab instead.

My patch does no "apply", it was made against 2.6.26-11 --
Supermicro just sent me their forcedeth.c and I made the patch.

> BTW, I also noticed that linux-2.6 2.6.26-11 includes the patch
> linux-2.6-2.6.26/debian/patches/features/all/net-use-gso.patch
> which very well may trigger the problem.  You might also want to
> try building without that patch.

I have not tried -11 on the server, only -8 and -10, which both had
the problems.

How do I find out when net-use-gso.patch was added? The changelog
does not mention it, and I cannot find a repository for the source
(there are also no Vcs-* links in the package).

> But then again, there's your performance requirements.  I guess
> you'd better get a proper NIC :-)

As soon as I get a second switch port, I will. While I only have one
switch port, I have no choice...

-- 
 .''`.   martin f. krafft <madduck@d.o>      Related projects:
: :'  :  proud Debian developer               http://debiansystem.info
`. `'`   http://people.debian.org/~madduck    http://vcs-pkg.org
  `-  Debian - when you have better things to do than fixing systems
[digital_signature_gpg.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#506419; Package linux-image-2.6.26-1-amd64. (Tue, 09 Dec 2008 17:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bjørn Mork <bjorn@mork.no>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 09 Dec 2008 17:03:05 GMT) Full text and rfc822 format available.

Message #86 received at 506419@bugs.debian.org (full text, mbox):

From: Bjørn Mork <bjorn@mork.no>
To: martin f krafft <madduck@debian.org>
Cc: 506419@bugs.debian.org
Subject: Re: Bug#506419: Driver from Supermicro fixes issue
Date: Tue, 09 Dec 2008 17:58:23 +0100
martin f krafft <madduck@debian.org> writes:
> also sprach Bjørn Mork <bjorn@mork.no> [2008.12.09.1413 +0100]:
>> This should not apply against linux-2.6 2.6.26-11 since it is already a
>> part of debian/patches/bugfix/all/stable/2.6.26.4.patch. Are you sure
>> your patch really does apply?  If it does, then I'd suggest trying
>> *just* edcfe5f7e307846e578fb88d69fa27051fded0ab instead.
>
> My patch does no "apply", it was made against 2.6.26-11 --
> Supermicro just sent me their forcedeth.c and I made the patch.

Probably against the unpatched 2.6.26 then?  OK, that will explain the
similarities.  But then the real problem must be something else.  Sorry
for the confusion.

>> BTW, I also noticed that linux-2.6 2.6.26-11 includes the patch
>> linux-2.6-2.6.26/debian/patches/features/all/net-use-gso.patch
>> which very well may trigger the problem.  You might also want to
>> try building without that patch.
>
> I have not tried -11 on the server, only -8 and -10, which both had
> the problems.
>
> How do I find out when net-use-gso.patch was added? The changelog
> does not mention it, and I cannot find a repository for the source
> (there are also no Vcs-* links in the package).

http://packages.debian.org/changelogs/pool/main/l/linux-2.6/linux-2.6_2.6.26-11/changelog#versionversion2.6.26-2

has a

  * net: use software GSO for SG+CSUM capable netdevices (Lennert Buytenhek)

line, which matches the subject in the patch.


Bjørn




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#506419; Package linux-image-2.6.26-1-amd64. (Tue, 09 Dec 2008 17:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 09 Dec 2008 17:51:03 GMT) Full text and rfc822 format available.

Message #91 received at 506419@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Bastian Blank <waldi@debian.org>, 506419@bugs.debian.org
Cc: Bjørn Mork <bjorn@mork.no>, martin f krafft <madduck@debian.org>
Subject: Re: Bug#506419: Driver from Supermicro fixes issue
Date: Tue, 9 Dec 2008 18:47:10 +0100
* Bastian Blank <waldi@debian.org> [2008-12-09 15:06]:
> > In fact, I'm a little confused as to the reasons that patch is in
> > Debian.  It is probably the correct thing to do, but it is also the kind
> > of thing that is bound to cause regressions because it will expose
> > latent bugs in drivers.
> 
> This is in mainline: e5a4a72d4f88f4389e9340d383ca67031d1b8536. I don't
> know what the rationale was to add this.

I added the patch because it leads to better performances with several
devices.  There was one regression with loopback that got fixed
quickly and that patch is also in the Debian package.

I'm currently not aware of any regressions caused by the patch, but if
there are any, we of course have to remove the patch.
-- 
Martin Michlmayr
http://www.cyrius.com/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#506419; Package linux-image-2.6.26-1-amd64. (Tue, 09 Dec 2008 22:33:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to martin f krafft <madduck@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 09 Dec 2008 22:33:02 GMT) Full text and rfc822 format available.

Message #96 received at 506419@bugs.debian.org (full text, mbox):

From: martin f krafft <madduck@debian.org>
To: Bjørn Mork <bjorn@mork.no>
Cc: 506419@bugs.debian.org
Subject: Re: Bug#506419: Driver from Supermicro fixes issue
Date: Tue, 9 Dec 2008 21:57:19 +0100
[Message part 1 (text/plain, inline)]
also sprach Bjørn Mork <bjorn@mork.no> [2008.12.09.1758 +0100]:
> > My patch does no "apply", it was made against 2.6.26-11 --
> > Supermicro just sent me their forcedeth.c and I made the patch.
> 
> Probably against the unpatched 2.6.26 then?  OK, that will explain the
> similarities.  But then the real problem must be something else.  Sorry
> for the confusion.

No, I made it against 2.6.26-11, for no other reason that it was in
Debian unstable at the time, and I had given up hope for targetting
lenny before. I'd be happy to create a patch against -10 instead.

> > How do I find out when net-use-gso.patch was added? The changelog
> > does not mention it, and I cannot find a repository for the source
> > (there are also no Vcs-* links in the package).
> 
> http://packages.debian.org/changelogs/pool/main/l/linux-2.6/linux-2.6_2.6.26-11/changelog#versionversion2.6.26-2
> 
> has a
> 
>   * net: use software GSO for SG+CSUM capable netdevices (Lennert Buytenhek)
> 
> line, which matches the subject in the patch.

Alright. I admit I didn't look that closely. Isn't there a Git repo
for Debian kernels?

-- 
 .''`.   martin f. krafft <madduck@d.o>      Related projects:
: :'  :  proud Debian developer               http://debiansystem.info
`. `'`   http://people.debian.org/~madduck    http://vcs-pkg.org
  `-  Debian - when you have better things to do than fixing systems
 
"she was rather too intelligent and competent-looking to be
 considered entirely beautiful, but all the more attractive because
 of it."
                           -- george spencer-brown, "a lion's teeth"
[digital_signature_gpg.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#506419; Package linux-image-2.6.26-1-amd64. (Tue, 09 Dec 2008 23:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bastian Blank <waldi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 09 Dec 2008 23:06:04 GMT) Full text and rfc822 format available.

Message #101 received at 506419@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: martin f krafft <madduck@debian.org>, 506419@bugs.debian.org
Cc: Bjørn Mork <bjorn@mork.no>
Subject: Re: Bug#506419: Driver from Supermicro fixes issue
Date: Wed, 10 Dec 2008 00:05:16 +0100
On Tue, Dec 09, 2008 at 09:57:19PM +0100, martin f krafft wrote:
> also sprach Bjørn Mork <bjorn@mork.no> [2008.12.09.1758 +0100]:
> > > My patch does no "apply", it was made against 2.6.26-11 --
> > > Supermicro just sent me their forcedeth.c and I made the patch.
> > Probably against the unpatched 2.6.26 then?  OK, that will explain the
> > similarities.  But then the real problem must be something else.  Sorry
> > for the confusion.
> No, I made it against 2.6.26-11, for no other reason that it was in
> Debian unstable at the time, and I had given up hope for targetting
> lenny before. I'd be happy to create a patch against -10 instead.

No, you did not. The lines in question read:

|                 dev->features |= NETIF_F_IP_CSUM | NETIF_F_SG;
|                 dev->features |= NETIF_F_TSO;

> Alright. I admit I didn't look that closely. Isn't there a Git repo
> for Debian kernels?

Nope.

Bastian

-- 
Murder is contrary to the laws of man and God.
		-- M-5 Computer, "The Ultimate Computer", stardate 4731.3




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#506419; Package linux-image-2.6.26-1-amd64. (Wed, 10 Dec 2008 09:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to martin f krafft <madduck@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 10 Dec 2008 09:42:03 GMT) Full text and rfc822 format available.

Message #106 received at 506419@bugs.debian.org (full text, mbox):

From: martin f krafft <madduck@debian.org>
To: 506419@bugs.debian.org
Subject: Re: Driver from Supermicro fixes issue
Date: Wed, 10 Dec 2008 10:40:39 +0100
[Message part 1 (text/plain, inline)]
also sprach martin f krafft <madduck@debian.org> [2008.12.09.1154 +0100]:
> The attached patch against linux-2.6 2.6.26-11 seems to fix the
> original problem for me, [...]

I just saw another gso-related kernel trace, even with the new
driver. :/

-- 
 .''`.   martin f. krafft <madduck@d.o>      Related projects:
: :'  :  proud Debian developer               http://debiansystem.info
`. `'`   http://people.debian.org/~madduck    http://vcs-pkg.org
  `-  Debian - when you have better things to do than fixing systems
[digital_signature_gpg.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#506419; Package linux-image-2.6.26-1-amd64. (Wed, 10 Dec 2008 14:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to martin f krafft <madduck@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 10 Dec 2008 14:27:05 GMT) Full text and rfc822 format available.

Message #111 received at 506419@bugs.debian.org (full text, mbox):

From: martin f krafft <madduck@debian.org>
To: Bastian Blank <waldi@debian.org>
Cc: 506419@bugs.debian.org, Bjørn Mork <bjorn@mork.no>
Subject: Re: Bug#506419: Driver from Supermicro fixes issue
Date: Wed, 10 Dec 2008 15:23:30 +0100
[Message part 1 (text/plain, inline)]
also sprach Bastian Blank <waldi@debian.org> [2008.12.10.0005 +0100]:
> > No, I made it against 2.6.26-11, for no other reason that it was in
> > Debian unstable at the time, and I had given up hope for targetting
> > lenny before. I'd be happy to create a patch against -10 instead.
> 
> No, you did not. The lines in question read:

Uh, yes Bastian, I did:

piper:~|master|.tmp/cdt.pUbIXWau/linux-2.6-2.6.26% dpkg-parsechangelog| sed -rne 's,Version: ,,p'
2.6.26-11
piper:~|master|.tmp/cdt.pUbIXWau/linux-2.6-2.6.26% md5sum drivers/net/forcedeth.c
a149be68037f7f57ae61986c30caa8fa  drivers/net/forcedeth.c
piper:~|master|.tmp/cdt.pUbIXWau/linux-2.6-2.6.26% cd ~/forcedeth
total 472
-rw------- 1 281784 20081209.1128 0001-import-driver-from-supermicro-nvidia.patch
-rw------- 1    835 20081209.1128 0002-amend-version-number-for-local-changes.patch
-rw------- 1 188327 20081209.1128 forcedeth.c
piper:~|master|.tmp/cdt.pUbIXWau/linux-2.6-2.6.26% md5sum forcedeth.c
a149be68037f7f57ae61986c30caa8fa  forcedeth.c

  ### NOTE: it's identical to the version in 2.6.26-11

piper:~|master|.tmp/cdt.pUbIXWau/linux-2.6-2.6.26% md5sum 000*
75ba184e0d279b6588801972d0fb1118  0001-import-driver-from-supermicro-nvidia.patch
de157fcbc5f3853bbf58363bcd4471e0  0002-amend-version-number-for-local-changes.patch
piper:~|master|.tmp/cdt.pUbIXWau/linux-2.6-2.6.26% patch < 0001-import-driver-from-supermicro-nvidia.patch
patching file Makefile
patching file forcedeth.c
patching file readme.txt
piper:~|master|.tmp/cdt.pUbIXWau/linux-2.6-2.6.26% patch < 0002-amend-version-number-for-local-changes.patch
patching file forcedeth.c

  ### NOTE: the patch applies cleanly



> > Alright. I admit I didn't look that closely. Isn't there a Git
> > repo for Debian kernels?
> 
> Nope.

How is the kernel code maintained then?

-- 
 .''`.   martin f. krafft <madduck@d.o>      Related projects:
: :'  :  proud Debian developer               http://debiansystem.info
`. `'`   http://people.debian.org/~madduck    http://vcs-pkg.org
  `-  Debian - when you have better things to do than fixing systems
 
humpty was pushed.
[digital_signature_gpg.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#506419; Package linux-image-2.6.26-1-amd64. (Wed, 10 Dec 2008 14:42:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bastian Blank <waldi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 10 Dec 2008 14:42:02 GMT) Full text and rfc822 format available.

Message #116 received at 506419@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: martin f krafft <madduck@debian.org>
Cc: 506419@bugs.debian.org, Bjørn Mork <bjorn@mork.no>
Subject: Re: Bug#506419: Driver from Supermicro fixes issue
Date: Wed, 10 Dec 2008 15:41:12 +0100
On Wed, Dec 10, 2008 at 03:23:30PM +0100, martin f krafft wrote:
> also sprach Bastian Blank <waldi@debian.org> [2008.12.10.0005 +0100]:
> > > No, I made it against 2.6.26-11, for no other reason that it was in
> > > Debian unstable at the time, and I had given up hope for targetting
> > > lenny before. I'd be happy to create a patch against -10 instead.
> > No, you did not. The lines in question read:
> Uh, yes Bastian, I did:

> piper:~|master|.tmp/cdt.pUbIXWau/linux-2.6-2.6.26% dpkg-parsechangelog| sed -rne 's,Version: ,,p'
> 2.6.26-11
> piper:~|master|.tmp/cdt.pUbIXWau/linux-2.6-2.6.26% md5sum drivers/net/forcedeth.c
> a149be68037f7f57ae61986c30caa8fa  drivers/net/forcedeth.c

You managed to get the _unpatched_ source. The patches are applied
during the build:

| a149be68037f7f57ae61986c30caa8fa  drivers/net/forcedeth.c
| fdeca7862c903463b607d80cbe2408a0  debian/build/source/drivers/net/forcedeth.c

> > > Alright. I admit I didn't look that closely. Isn't there a Git
> > > repo for Debian kernels?
> > Nope.
> How is the kernel code maintained then?

svn://svn.debian.org/kernel/dists/sid/linux-2.6/

Bastian

-- 
You can't evaluate a man by logic alone.
		-- McCoy, "I, Mudd", stardate 4513.3




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#506419; Package linux-image-2.6.26-1-amd64. (Wed, 10 Dec 2008 19:30:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to martin f krafft <madduck@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 10 Dec 2008 19:30:02 GMT) Full text and rfc822 format available.

Message #121 received at 506419@bugs.debian.org (full text, mbox):

From: martin f krafft <madduck@debian.org>
To: Bastian Blank <waldi@debian.org>
Cc: 506419@bugs.debian.org, Bjørn Mork <bjorn@mork.no>
Subject: Re: Bug#506419: Driver from Supermicro fixes issue
Date: Wed, 10 Dec 2008 20:27:06 +0100
[Message part 1 (text/plain, inline)]
also sprach Bastian Blank <waldi@debian.org> [2008.12.10.1541 +0100]:
> You managed to get the _unpatched_ source. The patches are applied
> during the build:

Okay, that makes sense. How do I get the patched source? The
accepted standard methods (see policy 4.9 and 4.14) don't reveal
anything and don't work:

piper:..orcedeth|master|linux-2.6-2.6.26% less debian/README.source
debian/README.source: No such file or directory
piper:..orcedeth|master|linux-2.6-2.6.26% fakeroot debian/rules patch
make: *** No rule to make target `patch'.  Stop.

-- 
 .''`.   martin f. krafft <madduck@d.o>      Related projects:
: :'  :  proud Debian developer               http://debiansystem.info
`. `'`   http://people.debian.org/~madduck    http://vcs-pkg.org
  `-  Debian - when you have better things to do than fixing systems
 
"the wonderful thing about standards is
 that there are so many to choose from."
                                                       -- grace hopper
[digital_signature_gpg.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#506419; Package linux-image-2.6.26-1-amd64. (Thu, 18 Dec 2008 23:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to martin f krafft <madduck@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 18 Dec 2008 23:09:05 GMT) Full text and rfc822 format available.

Message #126 received at 506419@bugs.debian.org (full text, mbox):

From: martin f krafft <madduck@debian.org>
To: Bastian Blank <waldi@debian.org>
Cc: 506419@bugs.debian.org, Bjørn Mork <bjorn@mork.no>
Subject: Re: Bug#506419: Driver from Supermicro fixes issue
Date: Thu, 18 Dec 2008 22:43:59 +0100
[Message part 1 (text/plain, inline)]
clone 506419 -1
retitle -1 kernel debian/rules misses patch instructions and target
severity -1 serious
thanks

also sprach martin f krafft <madduck@debian.org> [2008.12.10.2027 +0100]:
> Okay, that makes sense. How do I get the patched source? The
> accepted standard methods (see policy 4.9 and 4.14) don't reveal
> anything and don't work:
> 
> piper:..orcedeth|master|linux-2.6-2.6.26% less debian/README.source
> debian/README.source: No such file or directory
> piper:..orcedeth|master|linux-2.6-2.6.26% fakeroot debian/rules patch
> make: *** No rule to make target `patch'.  Stop.

This makes kernel packaging not policy-compliant, thus I am cloning
this bug and making it RC.

Please do not just ignore my question.

-- 
 .''`.   martin f. krafft <madduck@d.o>      Related projects:
: :'  :  proud Debian developer               http://debiansystem.info
`. `'`   http://people.debian.org/~madduck    http://vcs-pkg.org
  `-  Debian - when you have better things to do than fixing systems
 
"first get your facts; then you can distort them at your leisure."
                                                       -- mark twain
[digital_signature_gpg.asc (application/pgp-signature, inline)]

Bug 506419 cloned as bug 509156. Request was from martin f krafft <madduck@debian.org> to control@bugs.debian.org. (Thu, 18 Dec 2008 23:09:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#506419; Package linux-image-2.6.26-1-amd64. (Fri, 19 Dec 2008 10:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bastian Blank <waldi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 19 Dec 2008 10:21:03 GMT) Full text and rfc822 format available.

Message #133 received at 506419@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: martin f krafft <madduck@debian.org>, 506419@bugs.debian.org
Subject: Re: Bug#506419: Driver from Supermicro fixes issue
Date: Fri, 19 Dec 2008 11:18:54 +0100
severity 509156 wishlist
thanks

On Thu, Dec 18, 2008 at 10:43:59PM +0100, martin f krafft wrote:
> This makes kernel packaging not policy-compliant, thus I am cloning
> this bug and making it RC.

Not a must-clause nor does the kernel list compatibility with they
newest policy version which added this.

Bastian

-- 
	"Get back to your stations!"
	"We're beaming down to the planet, sir."
		-- Kirk and Mr. Leslie, "This Side of Paradise",
		   stardate 3417.3




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#506419; Package linux-image-2.6.26-1-amd64. (Wed, 04 Feb 2009 16:09:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to martin f krafft <madduck@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 04 Feb 2009 16:09:02 GMT) Full text and rfc822 format available.

Message #138 received at 506419@bugs.debian.org (full text, mbox):

From: martin f krafft <madduck@debian.org>
To: 506419@bugs.debian.org
Subject: also with ipv4
Date: Wed, 4 Feb 2009 17:06:37 +0100
[Message part 1 (text/plain, inline)]
retitle 506419 high volumes of traffic kill forcedeth chip
tags 506419 -ipv6
found 506419 2.6.26-13
thanks

I just managed to reproduce this with plain IPv4 traffic: sending
a huge file to the machine via SSH killed the network chip. The only
way to get the network card to work again for any sort of traffic
was with a rmmod/modprobe cycle of the driver.

Joy!

I hope to exchange the motherboard soon so be sure that this isn't
a hardware problem.

-- 
 .''`.   martin f. krafft <madduck@d.o>      Related projects:
: :'  :  proud Debian developer               http://debiansystem.info
`. `'`   http://people.debian.org/~madduck    http://vcs-pkg.org
  `-  Debian - when you have better things to do than fixing systems
[digital_signature_gpg.asc (application/pgp-signature, inline)]

Changed Bug title to `high volumes of traffic kill forcedeth chip' from `kernel trace during IPv6 ssh output'. Request was from martin f krafft <madduck@debian.org> to control@bugs.debian.org. (Wed, 04 Feb 2009 16:09:04 GMT) Full text and rfc822 format available.

Tags removed: ipv6 Request was from martin f krafft <madduck@debian.org> to control@bugs.debian.org. (Wed, 04 Feb 2009 16:09:04 GMT) Full text and rfc822 format available.

Bug marked as found in version 2.6.26-13. Request was from martin f krafft <madduck@debian.org> to control@bugs.debian.org. (Wed, 04 Feb 2009 16:09:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#506419; Package linux-image-2.6.26-1-amd64. (Fri, 13 Mar 2009 11:24:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to martin f krafft <madduck@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 13 Mar 2009 11:24:05 GMT) Full text and rfc822 format available.

Message #149 received at 506419@bugs.debian.org (full text, mbox):

From: martin f krafft <madduck@debian.org>
To: 506419@bugs.debian.org
Subject: not alone
Date: Fri, 13 Mar 2009 12:21:49 +0100
[Message part 1 (text/plain, inline)]
It seems I am not alone with the problem:

  http://www.nvnews.net/vbulletin/archive/index.php/t-84319.html

yet, Transtec fails to reproduce with SLES, but they also didn't
test IPv6 or large frames, I think. Anyway, I've requested the
driver they use, as well as the following information:

  dmesg output from insmod
  lsmod | grep nvnet     # suspect use of proprietary driver in SLES
  ethtool eth0
  ethtool --driver eth0
  ethtool --show-offload eth0
  ethtool --show-nfc eth0
  modinfo forcedeth
  modinfo nvnet

Will keep this bug in the loop,

-- 
 .''`.   martin f. krafft <madduck@d.o>      Related projects:
: :'  :  proud Debian developer               http://debiansystem.info
`. `'`   http://people.debian.org/~madduck    http://vcs-pkg.org
  `-  Debian - when you have better things to do than fixing systems
[digital_signature_gpg.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#506419; Package linux-image-2.6.26-1-amd64. (Sat, 12 Sep 2009 08:12:18 GMT) Full text and rfc822 format available.

Acknowledgement sent to Moritz Muehlenhoff <jmm@inutil.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 12 Sep 2009 08:12:18 GMT) Full text and rfc822 format available.

Message #154 received at 506419@bugs.debian.org (full text, mbox):

From: Moritz Muehlenhoff <jmm@inutil.org>
To: martin f krafft <madduck@debian.org>
Cc: 506419@bugs.debian.org
Subject: Re: not alone
Date: Sat, 12 Sep 2009 10:09:53 +0200
On Fri, Mar 13, 2009 at 12:21:49PM +0100, martin f krafft wrote:
> It seems I am not alone with the problem:
> 
>   http://www.nvnews.net/vbulletin/archive/index.php/t-84319.html
> 
> yet, Transtec fails to reproduce with SLES, but they also didn't
> test IPv6 or large frames, I think. Anyway, I've requested the
> driver they use, as well as the following information:
> 
>   dmesg output from insmod
>   lsmod | grep nvnet     # suspect use of proprietary driver in SLES
>   ethtool eth0
>   ethtool --driver eth0
>   ethtool --show-offload eth0
>   ethtool --show-nfc eth0
>   modinfo forcedeth
>   modinfo nvnet
> 
> Will keep this bug in the loop,

Please test with 2.6.31 (in unstable soon). If the problem persists
it should be reported upstream at http://bugzilla.kernel.org

Cheers,
        Moritz




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#506419; Package linux-image-2.6.26-1-amd64. (Sat, 12 Sep 2009 08:51:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to martin f krafft <madduck@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 12 Sep 2009 08:51:03 GMT) Full text and rfc822 format available.

Message #159 received at 506419@bugs.debian.org (full text, mbox):

From: martin f krafft <madduck@debian.org>
To: Moritz Muehlenhoff <jmm@inutil.org>
Cc: 506419@bugs.debian.org
Subject: Re: not alone
Date: Sat, 12 Sep 2009 10:48:11 +0200
[Message part 1 (text/plain, inline)]
also sprach Moritz Muehlenhoff <jmm@inutil.org> [2009.09.12.1009 +0200]:
> Please test with 2.6.31 (in unstable soon). If the problem persists
> it should be reported upstream at http://bugzilla.kernel.org

The machine is in a rack and running lenny, so I'll have to wait for
a backport or squeeze, but then I ought to be able to test thanks to
the third network card I now have installed.

-- 
 .''`.   martin f. krafft <madduck@d.o>      Related projects:
: :'  :  proud Debian developer               http://debiansystem.info
`. `'`   http://people.debian.org/~madduck    http://vcs-pkg.org
  `-  Debian - when you have better things to do than fixing systems
 
"the liar at any rate recognises that recreation, not instruction, is
 the aim of conversation, and is a far more civilised being than the
 blockhead who loudly expresses his disbelief in a story which is told
 simply for the amusement of the company."
                                                        -- oscar wilde
[digital_signature_gpg.asc (application/pgp-signature, inline)]

Bug reassigned from package 'linux-image-2.6.26-1-amd64' to 'linux-2.6'. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. (Thu, 11 Feb 2010 23:44:55 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions linux-2.6/2.6.26-10, linux-2.6/2.6.26-8, and linux-2.6/2.6.26-13. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. (Thu, 11 Feb 2010 23:44:57 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#506419; Package linux-2.6. (Sun, 14 Feb 2010 12:12:16 GMT) Full text and rfc822 format available.

Acknowledgement sent to Moritz Muehlenhoff <jmm@inutil.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 14 Feb 2010 12:12:16 GMT) Full text and rfc822 format available.

Message #168 received at 506419@bugs.debian.org (full text, mbox):

From: Moritz Muehlenhoff <jmm@inutil.org>
To: martin f krafft <madduck@debian.org>
Cc: 506419@bugs.debian.org
Subject: Re: not alone
Date: Sun, 14 Feb 2010 13:11:31 +0100
On Sat, Sep 12, 2009 at 10:48:11AM +0200, martin f krafft wrote:
> also sprach Moritz Muehlenhoff <jmm@inutil.org> [2009.09.12.1009 +0200]:
> > Please test with 2.6.31 (in unstable soon). If the problem persists
> > it should be reported upstream at http://bugzilla.kernel.org
> 
> The machine is in a rack and running lenny, so I'll have to wait for
> a backport or squeeze, but then I ought to be able to test thanks to
> the third network card I now have installed.

Did you test this yet (preferrably with the current Squeeze kernel,
installs fine in stable)? 

Cheers,
        Moritz




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#506419; Package linux-2.6. (Mon, 15 Feb 2010 08:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to martin f krafft <madduck@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 15 Feb 2010 08:45:03 GMT) Full text and rfc822 format available.

Message #173 received at 506419@bugs.debian.org (full text, mbox):

From: martin f krafft <madduck@debian.org>
To: Moritz Muehlenhoff <jmm@inutil.org>
Cc: 506419@bugs.debian.org
Subject: Re: not alone
Date: Mon, 15 Feb 2010 21:44:07 +1300
[Message part 1 (text/plain, inline)]
also sprach Moritz Muehlenhoff <jmm@inutil.org> [2010.02.15.0111 +1300]:
> > The machine is in a rack and running lenny, so I'll have to wait for
> > a backport or squeeze, but then I ought to be able to test thanks to
> > the third network card I now have installed.
> 
> Did you test this yet (preferrably with the current Squeeze kernel,
> installs fine in stable)? 

No. This machine is a core part of my infrastructure. It will really
have to wait until after I did a squeeze upgrade — or can go to the
rack.

Thanks for following up. I hope you understand.

-- 
 .''`.   martin f. krafft <madduck@d.o>      Related projects:
: :'  :  proud Debian developer               http://debiansystem.info
`. `'`   http://people.debian.org/~madduck    http://vcs-pkg.org
  `-  Debian - when you have better things to do than fixing systems
 
"there was silence for a moment, and then out of the scrambled mess
 of arthur's brain crawled some words."
                                 -- hitchhiker's guide to the galaxy
[digital_signature_gpg.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#506419; Package linux-2.6. (Tue, 13 Apr 2010 15:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to stephen mulcahy <smulcahy@atlanticlinux.ie>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 13 Apr 2010 15:27:04 GMT) Full text and rfc822 format available.

Message #178 received at 506419@bugs.debian.org (full text, mbox):

From: stephen mulcahy <smulcahy@atlanticlinux.ie>
To: madduck@debian.org
Subject: [Fwd: Re: forcedeth driver hangs under heavy load]
Date: Tue, 13 Apr 2010 15:49:40 +0100
[Message part 1 (text/plain, inline)]
Hi Martin,

Just came across a similar bug you logged a while back - thought you 
might be interested.

-stephen

-- 
Stephen Mulcahy     Atlantic Linux         http://www.atlanticlinux.ie
Registered in Ireland, no. 376591 (144 Ros Caoin, Roscam, Galway)
[Re: forcedeth driver hangs under heavy load.eml (message/rfc822, inline)]
From: stephen mulcahy <smulcahy@gmail.com>
To: Eric Dumazet <eric.dumazet@gmail.com>
Cc: Ben Hutchings <bhutchings@solarflare.com>, netdev <netdev@vger.kernel.org>, Ben Hutchings <ben@decadent.org.uk>, Ayaz Abdulla <aabdulla@nvidia.com>, 572201@bugs.debian.org
Subject: Re: forcedeth driver hangs under heavy load
Date: Tue, 13 Apr 2010 15:49:04 +0100
Eric Dumazet wrote:
> Le mardi 13 avril 2010 à 15:27 +0100, stephen mulcahy a écrit :
>> Ok, I've tried both of the following with my reproducer
>>
>> 1. ethtool -K eth0 tso off
>>
>> RESULT: reproducer causes multiple hosts to be come unresponsive on 
>> first run.
>>
>> 2. ethtool -K eth0 tx off
>>
>> RESULT: reproducer runs three times without any hosts becoming unresponsive.
>>
>> -stephen
> 
> Thanks Stephen !
> 
> Now some brave fouls to check the 6410 lines of this driver ? ;)
> 
> Question of the day : Why TSO is broken in forcedeth ?
> Is it generically broken or is it broken for specific NICS ?
> 

Actually, it is only when tx-checksumming is turned off that the problem 
 doesn't occur (so I'm not sure TSO is the problem).

Additionally, a google also turns up this existing Debian bug 
http://bugs.debian.org/506419 which seems to be related.

-stephen



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#506419; Package linux-2.6. (Sat, 17 Apr 2010 15:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 17 Apr 2010 15:45:03 GMT) Full text and rfc822 format available.

Message #183 received at 506419@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: stephen mulcahy <smulcahy@atlanticlinux.ie>
Cc: madduck@debian.org, 506419@bugs.debian.org, 572201@bugs.debian.org
Subject: Re: Bug#506419: [Fwd: Re: forcedeth driver hangs under heavy load]
Date: Sat, 17 Apr 2010 16:40:56 +0100
[Message part 1 (text/plain, inline)]
On Tue, 2010-04-13 at 15:49 +0100, stephen mulcahy wrote:
> Hi Martin,
> 
> Just came across a similar bug you logged a while back - thought you 
> might be interested.

The patch for #572201 by Ayaz Abdulla fixed a regression introduced in
Linux 2.6.31.  So the bugs may be related but they are not the same.

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#506419; Package linux-2.6. (Sat, 17 Apr 2010 23:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 17 Apr 2010 23:57:03 GMT) Full text and rfc822 format available.

Reply sent to Ben Hutchings <ben@decadent.org.uk>:
You have taken responsibility. (Thu, 24 Mar 2011 06:12:04 GMT) Full text and rfc822 format available.

Notification sent to martin f krafft <madduck@madduck.net>:
Bug acknowledged by developer. (Thu, 24 Mar 2011 06:12:04 GMT) Full text and rfc822 format available.

Message #193 received at 506419-done@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: 506419-done@bugs.debian.org
Subject: Re: high volumes of traffic kill forcedeth chip
Date: Thu, 24 Mar 2011 06:09:44 +0000
[Message part 1 (text/plain, inline)]
I'm closing this because I think a year is more than enough time to test
a new version.

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#506419; Package linux-2.6. (Thu, 24 Mar 2011 06:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 24 Mar 2011 06:33:03 GMT) Full text and rfc822 format available.

Message #198 received at 506419@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: 506419@bugs.debian.org
Cc: Ben Hutchings <ben@decadent.org.uk>, martin f krafft <madduck@madduck.net>
Subject: Re: high volumes of traffic kill forcedeth chip
Date: Thu, 24 Mar 2011 01:28:18 -0500
reopen 506419
found 506419 linux-2.6/2.6.26-10
found 506419 linux-2.6/2.6.26-11
found 506419 linux-2.6/2.6.27
tags 506419 + upstream
owner 506419 !
quit

Ben Hutchings wrote:

> I'm closing this because I think a year is more than enough time to test
> a new version.

I'll take ownership then.  I used to have a forcedeth and while I
don't anymore, I'm interested in the driver being reliable.

Martin, ping?  Of course if you've lost interest (e.g., if you've lost
the hardware) then closing the bug again is probably the right thing
to do.

Thanks, both.
Jonathan




Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 24 Mar 2011 06:33:05 GMT) Full text and rfc822 format available.

Bug Marked as found in versions linux-2.6/2.6.26-10. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Thu, 24 Mar 2011 06:33:06 GMT) Full text and rfc822 format available.

Bug Marked as found in versions linux-2.6/2.6.26-11. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Thu, 24 Mar 2011 06:33:06 GMT) Full text and rfc822 format available.

Bug Marked as found in versions linux-2.6/2.6.27. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Thu, 24 Mar 2011 06:33:07 GMT) Full text and rfc822 format available.

Added tag(s) upstream. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Thu, 24 Mar 2011 06:33:08 GMT) Full text and rfc822 format available.

Owner recorded as Jonathan Nieder <jrnieder@gmail.com>. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Thu, 24 Mar 2011 06:33:08 GMT) Full text and rfc822 format available.

Added tag(s) moreinfo. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Thu, 24 Mar 2011 06:33:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>, Jonathan Nieder <jrnieder@gmail.com>:
Bug#506419; Package linux-2.6. (Thu, 24 Mar 2011 06:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to martin f krafft <madduck@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>, Jonathan Nieder <jrnieder@gmail.com>. (Thu, 24 Mar 2011 06:51:05 GMT) Full text and rfc822 format available.

Message #217 received at 506419@bugs.debian.org (full text, mbox):

From: martin f krafft <madduck@debian.org>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: 506419@bugs.debian.org
Subject: Re: high volumes of traffic kill forcedeth chip
Date: Thu, 24 Mar 2011 07:49:59 +0100
[Message part 1 (text/plain, inline)]
also sprach Jonathan Nieder <jrnieder@gmail.com> [2011.03.24.0728 +0100]:
> > I'm closing this because I think a year is more than enough time to test
> > a new version.
> 
> I'll take ownership then.  I used to have a forcedeth and while I
> don't anymore, I'm interested in the driver being reliable.
> 
> Martin, ping?  Of course if you've lost interest (e.g., if you've lost
> the hardware) then closing the bug again is probably the right thing
> to do.

I still have the hardware, but it's on a production machine. It is
onboard and I added a separate NIC, so it's unused, but I cannot
really run kernel-level experiments.

However, the machine has KVM, and as soon as KVM supports PCI
passthrough, that might be useful. There are two cards connected to
each other (I expected debugging), and with two KVM instances, this
could be interesting.

-- 
 .''`.   martin f. krafft <madduck@d.o>      Related projects:
: :'  :  proud Debian developer               http://debiansystem.info
`. `'`   http://people.debian.org/~madduck    http://vcs-pkg.org
  `-  Debian - when you have better things to do than fixing systems
 
"never try to explain computers to a layman.
 it's easier to explain sex to a virgin."
                                                    -- robert heinlein
 
(note, however, that virgins tend to know a lot about computers.)
[digital_signature_gpg.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#506419; Package linux-2.6. (Thu, 24 Mar 2011 07:03:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 24 Mar 2011 07:03:07 GMT) Full text and rfc822 format available.

Message #222 received at 506419@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: martin f krafft <madduck@debian.org>
Cc: 506419@bugs.debian.org
Subject: Re: high volumes of traffic kill forcedeth chip
Date: Thu, 24 Mar 2011 01:59:03 -0500
martin f krafft wrote:

> I still have the hardware, but it's on a production machine. It is
> onboard and I added a separate NIC, so it's unused, but I cannot
> really run kernel-level experiments.
>
> However, the machine has KVM, and as soon as KVM supports PCI
> passthrough, that might be useful. There are two cards connected to
> each other (I expected debugging), and with two KVM instances, this
> could be interesting.

Thanks for the update; I'm happy to wait.  I'm leaving the bug tagged
moreinfo for now, as in "wouldn't it be nice if someone with similar
hardware could try to reproduce this".

Regards,
Jonathan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>, Jonathan Nieder <jrnieder@gmail.com>:
Bug#506419; Package linux-2.6. (Thu, 24 Mar 2011 13:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>, Jonathan Nieder <jrnieder@gmail.com>. (Thu, 24 Mar 2011 13:21:06 GMT) Full text and rfc822 format available.

Message #227 received at 506419@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: 506419@bugs.debian.org, martin f krafft <madduck@madduck.net>
Subject: Re: high volumes of traffic kill forcedeth chip
Date: Thu, 24 Mar 2011 13:16:37 +0000
[Message part 1 (text/plain, inline)]
On Thu, 2011-03-24 at 01:28 -0500, Jonathan Nieder wrote:
> reopen 506419
> found 506419 linux-2.6/2.6.26-10
> found 506419 linux-2.6/2.6.26-11
> found 506419 linux-2.6/2.6.27
> tags 506419 + upstream
> owner 506419 !
> quit
> 
> Ben Hutchings wrote:
> 
> > I'm closing this because I think a year is more than enough time to test
> > a new version.
> 
> I'll take ownership then.  I used to have a forcedeth and while I
> don't anymore, I'm interested in the driver being reliable.
[...]

If you can't test it, what good does it to reopen the bug?

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#506419; Package linux-2.6. (Thu, 24 Mar 2011 21:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 24 Mar 2011 21:21:06 GMT) Full text and rfc822 format available.

Message #232 received at 506419@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: 506419@bugs.debian.org, martin f krafft <madduck@madduck.net>
Subject: Re: high volumes of traffic kill forcedeth chip
Date: Thu, 24 Mar 2011 16:18:41 -0500
Ben Hutchings wrote:

> If you can't test it, what good does it to reopen the bug?

It is a real bug and I have no reason to believe it was fixed.
Meanwhile the submitter has said that as soon as circumstances allow,
he'll test it.  Is the bug doing harm by sitting open?  Perhaps
someone should lower the severity to wishlist to keep it off your
radar?  I just want the bug to be fixed and believe the bug tracking
system is a useful way to track work towards bringing that about.

Jonathan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>, Jonathan Nieder <jrnieder@gmail.com>:
Bug#506419; Package linux-2.6. (Thu, 24 Mar 2011 22:48:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>, Jonathan Nieder <jrnieder@gmail.com>. (Thu, 24 Mar 2011 22:48:06 GMT) Full text and rfc822 format available.

Message #237 received at 506419@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: 506419@bugs.debian.org, martin f krafft <madduck@madduck.net>
Subject: Re: high volumes of traffic kill forcedeth chip
Date: Thu, 24 Mar 2011 22:45:10 +0000
On Thu, Mar 24, 2011 at 04:18:41PM -0500, Jonathan Nieder wrote:
> Ben Hutchings wrote:
> 
> > If you can't test it, what good does it to reopen the bug?
> 
> It is a real bug and I have no reason to believe it was fixed.

It *was* a real bug and you have no reason to believe it is not fixed.

> Meanwhile the submitter has said that as soon as circumstances allow,
> he'll test it.  Is the bug doing harm by sitting open?

New submitters are expected to look through existing bug reports.  The
BTS can take over a minute to generate a summary of all reports in
linux-2.6.  Yes, stale bug reports do harm.

> Perhaps
> someone should lower the severity to wishlist to keep it off your
> radar?

If it is a real, live bug then it is important.  If not, it should be
closed.  Changing the severity is just silly.

Ben.

> I just want the bug to be fixed and believe the bug tracking
> system is a useful way to track work towards bringing that about.

-- 
Ben Hutchings
We get into the habit of living before acquiring the habit of thinking.
                                                              - Albert Camus




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#506419; Package linux-2.6. (Thu, 24 Mar 2011 23:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 24 Mar 2011 23:09:03 GMT) Full text and rfc822 format available.

Message #242 received at 506419@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: 506419@bugs.debian.org, martin f krafft <madduck@madduck.net>
Subject: Re: high volumes of traffic kill forcedeth chip
Date: Thu, 24 Mar 2011 18:06:34 -0500
Ben Hutchings wrote:

> It *was* a real bug and you have no reason to believe it is not fixed.

Sure, it is possible that 6c2da9c or eb10a781 fixes this.  But I
really do suspect that it's not fixed.  I'd take at least 1:1 odds.

> New submitters are expected to look through existing bug reports.  The
> BTS can take over a minute to generate a summary of all reports in
> linux-2.6.

Yes, that is a problem.  Maybe linux-2.6 bugs could be split using
usertags (for networking, dri, etc) to lessen it?  Or maybe it's
possible to serve snapshots of the bug list as static HTML somewhere,
or to add some caching to debbugs to alleviate the underlying problem?

> If it is a real, live bug then it is important.  If not, it should be
> closed.  Changing the severity is just silly.

Ok, that makes sense to me.  Unfortunately, hardware-dependent bugs
are hard to debug.  I trust this particular bug submitter a great
deal, which is part of why I don't consider it a lost cause.

Anyway, you've done enough work on linux-2.6 that you should feel free
to do whatever you want.  Hopefully the above explanations make my
actions clearer, but if you want to close the bug again, I won't stop
you.

Regards,
Jonathan




Bug closed, send any further explanations to martin f krafft <madduck@madduck.net> Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Fri, 25 Mar 2011 01:51:06 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 22 Apr 2011 07:34:25 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 07:01:17 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.